#
# spec file for package python-sarge
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-sarge
Version:        0.1.7.post1
Release:        1.10
License:        BSD-3-Clause
Summary:        Command pipelines for python
URL:            https://sarge.readthedocs.org/
Group:          Development/Languages/Python
Source:         https://files.pythonhosted.org/packages/source/s/sarge/sarge-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch

%python_subpackages

%description
A wrapper for subprocess which provides command pipeline functionality.

%prep
%setup -q -n sarge-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%files %{python_files}
%doc README.rst
%license LICENSE
%{python_sitelib}/*

%changelog
* Fri Oct  7 2022 Yogalakshmi Arunachalam <yarunachalam@suse.com>
- Update to version 0.1.7.post1
  * Fixed #50: Initialized commands attribute in a constructor.
  * Fixed #52: Updated documentation to show improved command line parsing under Windows.
  * Fixed #53: Added waiter.py to the manifest so that the test suite can be run.
* Sun Feb  3 2019 John Vandenberg <jayvdb@gmail.com>
- Initial .spec for 0.1.5.post0
